Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.synchronizer.impl
Class PartnerConfigurationFactoryImpl

    java.lang.Object
      local.tomas.mobile.sync.synchronizer.impl.PartnerConfigurationFactoryImpl

All Implemented Interfaces:
  PartnerConfigurationFactory

    public class PartnerConfigurationFactoryImpl

extends java.lang.Object
implements PartnerConfigurationFactory

Constructor Summary
`PartnerConfigurationFactoryImpl()`

Method Summary
`PartnerConfiguration` | `createConfiguration(SynchronizationParams params)`
`java.util.Set<java.lang.String>` | `getNames()`
`PartnerConfigurationDictionary` | `getPartnerConfigurations()`
`java.util.Collection<java.lang.String>` | `getTypes(java.lang.String name)`
`void` | `setPartnerConfigurations(PartnerConfigurationDictionary partnerConfigurations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartnerConfigurationFactoryImpl

    public PartnerConfigurationFactoryImpl()

Method Detail

### getPartnerConfigurations

    public PartnerConfigurationDictionary getPartnerConfigurations()

### setPartnerConfigurations

    public void setPartnerConfigurations(PartnerConfigurationDictionary partnerConfigurations)

### getNames

    public java.util.Set<java.lang.String> getNames()

  Specified by:
    `getNames` in interface `PartnerConfigurationFactory`

### getTypes

    public java.util.Collection<java.lang.String> getTypes(java.lang.String name)

  Specified by:
    `getTypes` in interface `PartnerConfigurationFactory`

### createConfiguration

    public PartnerConfiguration createConfiguration(SynchronizationParams params)
                                             throws SyncException

  Specified by:
    `createConfiguration` in interface `PartnerConfigurationFactory`
  Throws:
    `SyncException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.